# $Revision: 1.43 $, $Date: 2011/10/11 15:24:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Unicode
%define		pnam	Map
Summary:	Perl Unicode::Map module
Summary(pl.UTF-8):	Moduł Perla Unicode::Map
Name:		perl-Unicode-Map
Version:	0.112
Release:	8
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	edaa8fc5ddf0e5d805e274283dd0625d
URL:		http://search.cpan.org/dist/Unicode-Map/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Startup
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Unicode::Map module converts strings from and to Unicode UCS2 format.

%description -l pl.UTF-8
Moduł Unicode::Map konwertuje łańcuchy znaków na format Unicode UCS2 i
odwrotnie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%attr(755,root,root) %{_bindir}/*
%{perl_vendorarch}/Unicode/Map
%{perl_vendorarch}/Unicode/Map.pm
%dir %{perl_vendorarch}/auto/Unicode/Map
%{perl_vendorarch}/auto/Unicode/Map/Map.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Unicode/Map/Map.so
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Unicode-Map.spec,v $
Revision 1.43  2011/10/11 15:24:14  lisu
- rel 8

Revision 1.42  2010/11/12 23:38:22  pawelz
- release 7

Revision 1.41  2010/06/06 00:01:01  radek
- release 6

Revision 1.40  2009/03/14 12:03:02  hawk
- release 5

Revision 1.39  2008/02/10 12:22:34  arekm
- rel 4

Revision 1.38  2008-01-10 08:38:42  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.37  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.36  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.35  2006/10/09 12:24:52  qboosh
- added URL

Revision 1.34  2004/11/03 22:30:53  paladine
- formatting

Revision 1.33  2004/05/07 00:35:14  ankry
- rel. 3

Revision 1.32  2004/05/06 18:21:27  ankry
- fixed perl-devel BR

Revision 1.31  2004/05/03 23:36:50  ankry
- tests added, license fix, cosmetics

Revision 1.30  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.29  2003/08/18 08:09:25  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:25:08  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/11 18:59:39  radek
- BR: perl-devel; do not BR: perl

Revision 1.25  2003/03/01 22:09:55  radek
- should be ready for perl-5.8.0; release++

Revision 1.24  2003/02/25 00:42:35  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:39:07  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.21  2002/07/11 08:05:53  depesz
- new version; should work; STBR

Revision 1.20  2002/07/10 09:02:39  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:35:31  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:21:32  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:37:15  depesz
adapterized

Revision 1.14  2002/01/18 02:14:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/04/30 16:05:28  kloczek
- added using %%{rpmcflags} macro.

Revision 1.12  2001/04/17 12:18:06  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/26 02:25:43  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.9  2000/08/27 13:56:06  kloczek
- updated to 0.110.

Revision 1.8  2000/08/10 21:58:11  kloczek
- updated to 0.109.

Revision 1.7  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 18:05:25  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.3  1999/11/05 23:56:12  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules
- release++

Revision 1.2  1999/09/28 12:28:42  pius
- removed directories owned by perl-mod-skel from package
- release up

Revision 1.1  1999/09/26 17:10:56  pius
- initial release

based on autogenerated spec file from RH
